This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 556224 - spin-kickstarts: Creation of custom spin fails.
spin-kickstarts: Creation of custom spin fails.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-17 04:58 EST by Ray Evans
Modified: 2015-08-17 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 00:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Evans 2010-01-17 04:58:02 EST
Description of problem: 
spin-kickstarts: Creation of custom spin fails.

Version-Release number of selected component (if applicable):
livecd-tools-024-1.fc11.x86_64
spin-kickstarts-0.11.4-1.fc11.noarch

How reproducible:
5 of 5
100%

Steps to Reproduce:
1.Run the following:
livecd-creator \
--config=/usr/share/spin-kickstarts/fedora-livecd-kde.ks \
--fslabel=F12x64-LiveCD
2.
3.
  
Actual results:
Traceback after software install on image.

Expected results:
Expected F12x64-LiveCD.iso image in the directory where the command was run from.

Additional info:
Comment 1 Ray Evans 2010-01-18 15:15:26 EST
Traceback OUTPUT:

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 140, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 124, in main
    creator.configure()
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 732, in configure
    self._create_bootconfig()
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 197, in _create_bootconfig
    self._configure_bootloader(self.__ensure_isodir())
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 604, in _configure_bootloader
    self._configure_syslinux_bootloader(isodir)
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 508, in _configure_syslinux_bootloader
    cfg += self.__get_image_stanzas(isodir)
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 435, in __get_image_stanzas
    is_xen = self.__copy_kernel_and_initramfs(isodir, version, index)
  File "/usr/lib/python2.6/site-packages/imgcreate/live.py", line 362, in __copy_kernel_and_initramfs
    isodir + "/isolinux/initrd" + index + ".img")
  File "/usr/lib64/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory: '/var/tmp/imgcreate-Mjpp3X/install_root/boot/initrd-2.6.32.3-21.fc13.x86_64.img'
Comment 2 Ray Evans 2010-01-18 15:21:48 EST
When viewing the contents of the /var/tmp/  I note several imgcreate- directories, but not imgcreate-Mjpp3X mentioned in the Traceback.
Comment 3 Jeroen van Meeuwen 2010-01-19 00:35:31 EST
You can only compose Fedora 11 images on a Fedora 11 box. 

In this case, the new init ramdisk mechanism in Rawhide (also in Fedora 12) causes /boot/initrd-*.img to be renamed to /boot/initramfs-*.img.

Patch #1: http://git.fedorahosted.org/git/livecd?p=livecd;a=commitdiff;h=c6b31fa922b322fc5b0b9f48bca3a9ff812f8bdb

Patch #2: http://git.fedorahosted.org/git/livecd?p=livecd;a=commitdiff;h=28a1b27b3053e09c5aa99336bf52f5714f3f5610

These however will most likely not be released for Fedora 11.

Also note that you are labeling the livecd as "f12" while it seems you have actually enabled the rawhide repositories in /usr/share/spin-kickstarts/fedora-live-base.ks.

Closing WONTFIX because it *can* be fixed but doesn't make sense to put in so much effort over something unsupported.
Comment 4 Ray Evans 2010-01-20 14:57:50 EST
The traceback was from another system on a different day.   The error occurs on Fedora 11 systems when creating a Fedora 11, 12 or RAWHIDE custom spin.

Typically when I upgrade from one release to the next I do so with Live Images.  This way I do not have to install, then wait an hour for yum to finish updating the newly installed OS.  Also custom spins from my LiveUSB stick take about 3 minutes to install vs. 15 or more from a DVD.

You may see a lot of unhappy customers when F11 hits EOL.  I'm sure I'm not the only person that upgrades his systems via custom spin.
Comment 5 Richard Jasmin 2015-08-17 11:50:30 EDT
still applies to the twenties series. WHo in hell wants to reboot and reinstall every time they spin? IT IS possible to spin #releasever #releaseold AND #release-rawhide on the same system. AND why would you NOT want to do this? The problem is when you switch arch but that is a moot point because how else are you going to spin? This should really be a universal method.

Chicken and the egg problem otherwise.

Note You need to log in before you can comment on or make changes to this bug.